--[[
Taunts Off
Author: Decrypt of Kirin Tor (Alliance)

Purpose: Very simply displays a message on your screen to turn off
         pet taunts when entering a group, and to turn them on when
		 not in a group / leaving a group.
		 
		 Also plays sound effects to get your attention.w
		 
Notes:	 This is my first attempt at writing an addon. It is very
		 simple but I couldn't find one that does this anywhere else.
		 I always forget to turn off the "Growl" or "Suffering", and
		 getting yelled at in the game about that sucks. So, here is
		 my little reminder.
		 
		 I hope you like it. I'm sure there are a hundred ways to
		 improve it, so if you want to, feel free.
		 
		 Thanks. 
		 
		 --Decrypt of Kirin Tor (Alliance), Kirack of Kirin Tor (Horde)
		 Email:  davebowlin at gmail dot com
]]--


local nosound = false
local group, newgroup = {}, {}

local frame = CreateFrame("Frame")

frame:RegisterEvent("GROUP_ROSTER_UPDATE")
frame:SetScript("OnEvent", function()
     group, newgroup = newgroup, group
     wipe(newgroup)
     members=GetNumGroupMembers();
	 local playerClass = UnitClass("player")
	 if playerClass=="Hunter" or playerClass=="Warlock" then
		if members>1 and nosound == false then
		   PlaySoundFile("Interface\\AddOns\\Taunt_Off\\taunton.ogg","SFX");
           message("WARNING: You are in a group! Disable Pet Taunts!");
		   nosound=true;
		end
     
		if not IsInGroup() then
	       PlaySoundFile("Interface\\AddOns\\Taunt_Off\\tauntoff.ogg","SFX");
           message("Enable pet taunts, you are not in a group.");
		   nosound=false;
		end
	end
end)